.modal__container {
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 1, 99, 0.5);
    position: fixed;

    display: flex;
    justify-content: center;
    align-items: center;
}

.modal__card {
    width: 1165px;
    height: 690px;
    background-color: white;
    border-radius: 8px;

    display: flex;
    flex-direction: column;
    padding: 20px;
}

.modal__close {
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    color: grey;
}

.modal__item {
    display: flex;
    width: 100%;
}

.modal-item__right, .modal-item__left {
    display: flex;
    flex-direction: column;
    flex: 1;
    margin: 0px 50px;
}

.modal-item__right {
    align-items: center;
}

.modal-item__left {
    justify-content: flex-start;
}

.item__info {
    margin: 10px 0px;
}

.item__info--price {
    padding: 20px;
    box-shadow: 0 3px 6px 0 rgb(0 0 0 / 10%);
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    width: 100%;
    font-size: 16px;
}

.item__info--image {
    padding: 30px;
    width: 100%;
    height: 380px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.item__image {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    cursor: pointer;
}

.item__features  {
    margin: 20px 10px;
}
.item__features--title {
    text-transform: capitalize;
    margin: 20px 10px 10px;
    font-size: 20px;
}

.item__features--productdesc {
    margin-bottom: 0;
    margin-top: 10px;
    color: rgba(0,14,70,.7);
    border-bottom: 2px solid rgba(0,14,70,.7);
    padding: 0px 0px 10px;
    width: 33%;
}

.span__item--styled {
    font-size: 20px;
    color: rgba(0,0,0,0.7);
    font-weight: bold;
}

.item__features--description {
    font-size: 16px;
}

.item__features--inventory {
    text-align: right;
    margin: 10px 10px;
}

.price__item {
    color: grey;
    text-transform: uppercase;
}

.span__item--blue {
    color: #61D4DF;
}

.item__features--details {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
    font-size: 16px;
}

.details__item {
    color: grey;
}

.supplier {
    color: #61D4DF;
}

.model__card--loading {
    display: flex;
    justify-content: center;
    align-items: center;
}